CVE-2004-2412
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:03
NMCO    

[原文]Multiple SQL injection vulnerabilities in VP-ASP Shopping Cart 4.0 through 5.0 allow remote attackers to execute arbitrary SQL commands via the catalogid parameter in (1) shopreviewlist.asp and (2) shopreviewadd.asp.


[CNNVD]Virtual Programming VP-ASP Shopping Cart CatalogID SQL注入漏洞(CNNVD-200412-1074)

        
        Virtual Programming VP-ASP是一款商业性质的电子购物应用系统,由ASP脚本编写。
        Virtual Programming VP-ASP的登录脚本对用户提交的输入没有很好的过滤,远程攻击者可以利用这个漏洞获得敏感信息。
        在使用SQL查询时对用户提交给'catalogid'参数的数据没有充分过滤SQL输入,攻击者可以进行SQL注入攻击,可能获得管理员密码信息或其他敏感信息,也可对数据库进行更改。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:virtual_programming:vp-asp:4.50
cpe:/a:virtual_programming:vp-asp:5.0
cpe:/a:virtual_programming:vp-asp:4.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2412
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2412
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1074
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15588
(PATCH)  XF  vpasp-catalogid-sql-injection(15588)
http://www.vpasp.com/virtprog/info/faq_securityfixes.htm
(PATCH)  CONFIRM  http://www.vpasp.com/virtprog/info/faq_securityfixes.htm
http://www.securityfocus.com/bid/9967
(PATCH)  BID  9967
http://secunia.com/advisories/11201
(VENDOR_ADVISORY)  SECUNIA  11201

- 漏洞信息

Virtual Programming VP-ASP Shopping Cart CatalogID SQL注入漏洞
高危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Virtual Programming VP-ASP是一款商业性质的电子购物应用系统,由ASP脚本编写。
        Virtual Programming VP-ASP的登录脚本对用户提交的输入没有很好的过滤,远程攻击者可以利用这个漏洞获得敏感信息。
        在使用SQL查询时对用户提交给'catalogid'参数的数据没有充分过滤SQL输入,攻击者可以进行SQL注入攻击,可能获得管理员密码信息或其他敏感信息,也可对数据库进行更改。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 编辑'shopreviewlist.asp'和'shopreviewadd.asp' :
        使用如下代码:
        If not isnumeric(catalogid) then
        shoperror LangNoCatalogId
        end if
        代替如下行:
        If catalogid="" then
        shoperror LangNoCatalogId
        end if
        厂商补丁:
        Virtual Programming
        -------------------
        2003年7月10日后的VP-ASP 5.0已经修补此漏洞,建议用户下载使用:
        
        http://www.vpasp.com/

- 漏洞信息

18001
VP-ASP Shopping Cart shopreviewadd.asp catalogid Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

VP-ASP Shopping Cart contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'shopreviewadd.asp' script not properly sanitizing user-supplied input to the 'catalogid' parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2004-03-24 Unknow
Unknow Unknow

- 解决方案

Upgrade to version VP-ASP 5.0 after July 10, 2003 or higher, as it has been reported to fix this vulnerability. Additionally, the vendor has released a patch to address this issue, or users may opt to apply the following workaround: However, VP-ASP has released a patch to address this vulnerability: Edit file shopreviewlist.asp and shopreviewadd.asp; Find: If catalogid="" then shoperror LangNoCatalogId end if Add: If not isnumeric(catalogid) then shoperror LangNoCatalogId end if

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站